function fig_RRI()

load Wu_RRI_Resamp4Hz.txt
load Wu_BIS_Resamp4Hz.txt
load Wu_EffectSiteSevo_Resamp4Hz.txt

RRI = Wu_RRI_Resamp4Hz(5999-4096+1-800:5999-800);
bis = Wu_BIS_Resamp4Hz(5999-4096+1-800:5999-800);
sevo = Wu_EffectSiteSevo_Resamp4Hz(5999-4096+1-800:5999-800);

trend = RRI;

for ii = 1:length(RRI)
    idx = [max(1, ii-50) : min(4096, ii+50)];
    trend(ii) = median( RRI(idx) );
end

x = (RRI - trend) / 1000 ;
%x = x + randn(size(x)) * std(x);
%x = RRI;

    %% setup the parameters for TF analysis
    %% signal length
    %% window length (must be odd)
Nh = 133 ;
    %% dynamic range (in dB) for display
dyn = 24 ;   
fz = 20 ;

    %% the sampling rate is 4 Hz
x = x(1:end);
N = 4096 ;    
sr = 4;
    %% L is the total length in second
L = N/sr;

    %% time
t = [1/sr:1/sr:L]; t = t';
f = (0:N-1)/N*2;

Nfft = 2*length(x);
[tfr, rtfr] = tfrrsp_sq(x, 1:N, Nfft, tftb_window(Nh,'Kaiser'), 1,'sq') ;


figure;
imageRTF(abs(tfr(1:Nfft/2,:)), dyn, 1/sr); 
axis([-inf inf 0 1]); colormap(1-gray);
set(gca,'fontsize',12);
xlabel('Time (sec)\newline  (A)'); ylabel('Frequency (Hz)');
%savefig('TSP_fig8a.eps', 'eps');

figure;
imageRTF(abs(rtfr(1:Nfft/2,:)), dyn, 1/sr); 
axis([-inf inf 0 1]);  hold on; colormap(1-gray);
set(gca,'fontsize',12);
xlabel('Time (sec)\newline  (C)'); ylabel('Freqyency (Hz)');
plot(t, bis/200+0.5,'r','linewidth',1.2)
plot(t, sevo/4+0.6,'b','linewidth',1.2)
%savefig('TSP_fig8c.eps', 'eps'); close 

end


end
